Bug 1494374 - Setting openshift_logging_es_cluster_size=3 no longer makes logging redundant
Summary: Setting openshift_logging_es_cluster_size=3 no longer makes logging redundant
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 07:13 UTC by Johan Swensson
Modified: 2019-11-21 12:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 12:47:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Johan Swensson 2017-09-22 07:13:26 UTC
Description of problem:
Previously it was enough to set openshift_logging_es_cluster_size=3  and openshift_logging_es_ops_cluster_size=3 to make a EFK deployment fault tolerant. However now the configuration of shards and replicas has changed which renders a EFK deployment non-redundant.

Version-Release number of selected component (if applicable):
I believe this was a change introduced in 3.5

How reproducible:
Every time

Steps to Reproduce:
1. Set openshift_logging_es_cluster_size=3
2. Set openshift_logging_es_ops_cluster_size=3 if deploying ops separately
3.

Actual results:
number_of_shards is set to 1
number_of_replicas is set to 0

Expected results:
There should be a documented way to make EFK HA and fault tolerant, the only way to do that is by also setting openshift_logging_es_number_of_shards and openshift_logging_es_number_of_replicas, which are not documented.

Comment 1 Jeff Cantrill 2017-09-22 14:42:52 UTC
The fact this was removed happened and 3.5 and we are not respecting the original values as logged here: https://bugzilla.redhat.com/show_bug.cgi?id=1489498.  Moving this to documentation as that is what is being stated as whats missing.

Comment 2 Christopher Markieta 2019-07-24 18:18:46 UTC
I just wanted to add that I'm continuing to see this issue with OCP 3.11. It is not clearly documented, but the solution was to specify those indicated variables, in my case:

openshift_logging_es_number_of_shards: 1
openshift_logging_es_number_of_replicas: 2

Comment 3 Stephen Cuppett 2019-11-21 12:47:14 UTC
OCP 3.6-3.10 is no longer on full support [1]. Marking un-triaged bugs CLOSED DEFERRED. If you have a customer case with a support exception or have reproduced on 3.11+, please reopen and include those details. When reopening, please set the Version to the appropriate version where reproduced.

[1]: https://access.redhat.com/support/policy/updates/openshift


Note You need to log in before you can comment on or make changes to this bug.